<?php

/* AntiSpamSimple : Fichier ASS_fonctions.php
 *
 * Code		: PHP4 / 5
 * Version	: 0.2-20100428
 * Date		: 2010-04-28
 * Contact      : Francis Hulin-Hubard <fhh@fhuhu.com>
 * Page		: http://www.spip-contrib.net/ASS-Anti-Spam-Simple
 * Licence	: GPL
 *
 * Description	:
 * Fichier des fonctions du plugin.
 *
 * Changelog	:
 * 0.2-20100503 : Correction de bug sur le fichier "plugin.xml"
 * 			Ajout de la constante "_DIR_PLUGIN_ASS" pour localiser
 * 			le plugin (pour installation automatique).
 * 0.2-20100428 : Passage en stable du plugin.
 * 0.1-20100428 : Modification de l'appel du fichier ASS_javascript.js.
 *                      et definition du tag TYPE.
 *                - Test du plugin sous SPIP 2.1.0.
 * 0.1-20080118 : modification du lien de substitution.
 * 0.1-20071223 : Changements mineurs pour la compatibilite EasyPHP.
 *			Retrait d'accents dans les commentaires.
 * 0.1-20070426 : Version Originale. Premiere diffusee.
 *
 */

$ASS_location=explode(basename(_DIR_PLUGINS)."/",str_replace('\\','/',realpath(dirname(__FILE__)))) ;
define('_DIR_PLUGIN_ASS',(_DIR_PLUGINS.end($ASS_location)));

// Encode un texte en 64 bits et retourne le resultat
function ASS_CodeTexte($addr) {
	return base64_encode($addr) ; 
}

// Substitue une balise <email> </email> par une adresse mail.
function ASS_SubstituteBalise($addr) {
	return "<a href=\"#\" onClick=\"ASS_Decoder('".ASS_CodeTexte("mailto:".$addr[1])."')\" ><img border=\"0\" src=\""._DIR_PLUGIN_ASS."/ASS_genereimage.php?texte=".ASS_CodeTexte($addr[1])."\" /></a>" ;
}

// Substitue une adresse mail.
function ASS_SubstituteMaito($data) {
	if($data[1] == $data[2] || eregi('[-a-zA-Z0-9!#$%&\'*+/=?^_`{|}~]+@([.]?[a-zA-Z0-9_/-])*', $data[2]))
		return "<a href=\"#\" onClick=\"ASS_Decoder('".ASS_CodeTexte("mailto:".$data[1])."')\" ><img border=\"0\" src=\""._DIR_PLUGIN_ASS."/ASS_genereimage.php?texte=".ASS_CodeTexte($data[2])."\" /></a>" ;
	return "<a href=\"#\" onClick=\"ASS_Decoder('".ASS_CodeTexte("mailto:".$data[1])."')\" >$data[2]</a>" ;
}

// Traitement du texte
function ASS_TrackMail($texte) {
	$texte = preg_replace_callback('|<email>(.*@.*)</email>|', "ASS_SubstituteBalise", $texte ) ;
	$texte = preg_replace_callback('|<a href=\"mailto:(.*@.*)\" .*>(.*)</a>|', "ASS_SubstituteMaito", $texte ) ;
	// $texte = ereg_replace('[-a-z0-9!#$%&\'*+/=?^_`{|}~]+@([.]?[a-zA-Z0-9_/-])*', '<email>\\0</email>', $texte) ;
	return $texte ;
}

// Ajout de l'entete et des scripts javascripts.
function ASS_InsertScript($flux) {	
	$flux .= "\n\n<SCRIPT LANGUAGE=\"javascript\" TYPE=\"text/javascript\" SRC=\""._DIR_PLUGIN_ASS."/ASS_javascript.js\"></SCRIPT>\n\n" ;
	return $flux ;
}

?>
